Recent

Author Topic: Can't rebuild the IDE  (Read 2719 times)

ChPr

  • New Member
  • *
  • Posts: 43
Can't rebuild the IDE
« on: November 16, 2021, 02:08:56 pm »
Hello everybody,

Following the crash of the SD card of my Raspberry, I reinstalled "Buster" and "Lazarus 2.0.6".

I specify that before this crash, I could rebuild the IDE after having added some components including OpenGL.

I reinstalled "Buster" and "Lazarus 2.0.6" on two different boards.

With the first one, I was able to add components but not OpenGL. Trying several times with the different Opengl options of Raspbian, I didn't get anything except that now, when I launch Lazarus, I have the Splash screen and then nothing ...

I just reinstalled "Buster" and "Lazarus 2.0.6" on a second SD card. As with the first one I can compile and run a simple program that does not require any additional component. But this time I can't even add a single component. For both cards I have the following error:

Code: Pascal  [Select][+][-]
  1. IDE creation: Output code 2 - Errors: 1 - Warnings: 1
  2. Warning: svn not in path.
  3. lazarus.pp(161,42) Error: Error while linking

line 161 is :

Code: Pascal  [Select][+][-]
  1.   debugln('LAZARUS END - cleaning up ...');

NOTE: This has nothing to do with crtbegin and crtend.

If you have any ideas.

Pierre.

Zvoni

  • Hero Member
  • *****
  • Posts: 1182
Re: Can't rebuild the IDE
« Reply #1 on: November 16, 2021, 02:20:41 pm »
And the difference to this thread https://forum.lazarus.freepascal.org/index.php/topic,57163.0.html
is what?

At a guess: you installed Laz/FPC from Repo's (Version 2.0.6?)

Simple advice: Don't!
Laz/FPC has moved from svn to Git.
Go to the download-section here, get the 3 deb-files from there, install them according to the instructions there. Done
One System to rule them all, One Code to find them,
One IDE to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
Code is like a joke: If you have to explain it, it's bad

ChPr

  • New Member
  • *
  • Posts: 43
Re: Can't rebuild the IDE
« Reply #2 on: November 16, 2021, 03:01:03 pm »
And the difference to this thread https://forum.lazarus.freepascal.org/index.php/topic,57163.0.html
is what? ...

The difference is that now, thanks to this thread, I have been able ton install Lazarus on my new first new SD. Now Lazarus runs, and, except OpenGL, I can add components. Infortunately I dont know exactly why, now, only the splash is displayed.

It's the reason why I have tried with a second SD card.

At a guess: you installed Laz/FPC from Repo's (Version 2.0.6?)

I have installed Lazarus from the three files mentionned here. And this was working well on my old SD.

  ..Go to the download-section here, get the 3 deb-files from there, install them according to the instructions there. Done

here in not pointing anywhere  :( !

Sincerely.

Pierre.

Zvoni

  • Hero Member
  • *****
  • Posts: 1182
Re: Can't rebuild the IDE
« Reply #3 on: November 16, 2021, 04:27:02 pm »
Look to the left, there is the Menu-Navigator, and it points to "Lazarus - Downloads"
https://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20amd64%20DEB/Lazarus%202.0.12/
One System to rule them all, One Code to find them,
One IDE to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
Code is like a joke: If you have to explain it, it's bad

ChPr

  • New Member
  • *
  • Posts: 43
Re: Can't rebuild the IDE
« Reply #4 on: November 16, 2021, 04:55:51 pm »
Look to the left, there is the Menu-Navigator, and it points to "Lazarus - Downloads"
https://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20amd64%20DEB/Lazarus%202.0.12/

Thank you Zvoni for this link.

Unfortunately, this link is for "amd64". The Raspberry has an "arm" processor which is not compatible with the "amd" processor.

Sincerely.

Pierre.

Zvoni

  • Hero Member
  • *****
  • Posts: 1182
Re: Can't rebuild the IDE
« Reply #5 on: November 16, 2021, 05:30:41 pm »
Then use fpcupdeluxe.
Look in Third Party Forum
One System to rule them all, One Code to find them,
One IDE to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
Code is like a joke: If you have to explain it, it's bad

Soner

  • Sr. Member
  • ****
  • Posts: 271
Re: Can't rebuild the IDE
« Reply #6 on: November 16, 2021, 06:26:17 pm »
You have linker error.
I think either you don't have enough free space on the sd card or some libs are missing.
For the missing libs look for the error messages "...LibXYZ not found".

As second try you can change to the lazarus folder and build bigide sometimes it helps:
>make bigide

good luck.

af0815

  • Hero Member
  • *****
  • Posts: 936
Re: Can't rebuild the IDE
« Reply #7 on: November 16, 2021, 06:42:05 pm »
without the correct prerequisites is a installation not possible. See https://wiki.freepascal.org/fpcupdeluxe . After installing the correct prerequisites every way should work.
regards
Andreas

marcov

  • Administrator
  • Hero Member
  • *
  • Posts: 9981
  • FPC developer.
Re: Can't rebuild the IDE
« Reply #8 on: November 16, 2021, 06:45:17 pm »
Click on a line in the warnings/errors view, and check your messages filter settings. Just turn all messages on.

The default in older versions is too strict (IIRC 2.2.0 won't filter linker lines that way by default).

ChPr

  • New Member
  • *
  • Posts: 43
Re: Can't rebuild the IDE
« Reply #9 on: November 17, 2021, 10:19:47 am »
You have linker error.
I think either you don't have enough free space on the sd card or some libs are missing.
For the missing libs look for the error messages "...LibXYZ not found".

Code: Pascal  [Select][+][-]
  1. pi@raspberrypi:~ $ df -h
  2. Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur
  3. /dev/root           15G    9,9G  3,9G  73% /
  4. devtmpfs           430M       0  430M   0% /dev
  5. tmpfs              462M       0  462M   0% /dev/shm
  6. tmpfs              462M    6,4M  456M   2% /run
  7. tmpfs              5,0M    4,0K  5,0M   1% /run/lock
  8. tmpfs              462M       0  462M   0% /sys/fs/cgroup
  9. /dev/mmcblk0p1     253M     49M  204M  20% /boot
  10. tmpfs               93M    4,0K   93M   1% /run/user/1000
  11. pi@raspberrypi:~ $

Is this meaning that I don't have enough free space on the sd card ?


I have no message mentionning that libraries are missing.

At the last tests (total reconstruction of an SD card), I managed to load some components. When I wanted to load Opengl --> crash as mentioned above, and since then, not possible to add any component.

Sincerely.

Pierre.

Zvoni

  • Hero Member
  • *****
  • Posts: 1182
Re: Can't rebuild the IDE
« Reply #10 on: November 17, 2021, 12:19:20 pm »
Try a bigger SDCard?
One System to rule them all, One Code to find them,
One IDE to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
Code is like a joke: If you have to explain it, it's bad

 

TinyPortal © 2005-2018